Subject: Re: [PATCH v2 2/3] mpc82xx: Embedded Planet EP8248E support

From: Scott Wood <[email-masked]>
Date: Tue, 18 Dec 2007 10:15:18 -0600

David Gibson wrote:
> I mean, obviously the MDIO bus is accessed via some of the
> board-control registers.  What I'm questioning is whether it makes
> sense to have a distinct node to represent the mdio bus, or whether
> the phys should just hang straight of the bcsr node.

Ah, I see.  I think it does make sense, because it's a bus; if there 
were another bus-like thing on the bcsr, there'd be conflicts over what 
the children mean.

>>>> +	soc@f0000000 {
>>>> +		#address-cells = <1>;
>>>> +		#size-cells = <1>;
>>>> +		device_type = "soc";
>>> Ditch the device_type.
>> No, it's used by the bootwrapper.  I'll get rid of it if you want to 
>> write a find_node_by_compatible() function. :-)
> 
> Well, now that libfdt is merged, there is one :-p.

OK, it just needs exporting via ops.  I'll put it on my to-do list, but 
I don't think it should hold up board support patches.

-Scott